gnutls_pkcs11_set_pin_function(3)

NAME
gnutls_pkcs11_set_pin_function - API function

SYNOPSIS
#include <gnutls/pkcs11.h>

void gnutls_pkcs11_set_pin_function(gnutls_pin_callback_t fn, void * userdata);

ARGUMENTS

gnutls_pin_callback_t fn
    The PIN callback, a gnutls_pin_callback_t() function.

void * userdata
    data to be supplied to callback

DESCRIPTION
This function will set a callback function to be used when a PIN is required for PKCS 11 operations. See gnutls_pin_callback_t() on how the callback should behave.

SINCE
2.12.0

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: http://www.gnutls.org

COPYRIGHT
Copyright © 2001-2014 Free Software Foundation, Inc..
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

http://www.gnutls.org/manual/